de.esprit.appsuite.nio.ndf

## Enum NotifyText

- java.lang.Object
- - java.lang.Enum<NotifyText>
  - - de.esprit.appsuite.nio.ndf.NotifyText

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotifyText>

      public enum NotifyText
      extends java.lang.Enum<NotifyText>

  This enum defines how you want to be notified about array data.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AS_LINES` Causes the text to be notified as a list of lines.
    `AS_STRING` Causes the text lines to be stuffed to a single line String.
    `SKIP` No text notification takes place at all.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `asLines()`
    `boolean` | `asString()`
    `boolean` | `isSkip()`
    `static NotifyText` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotifyText[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AS_STRING

          public static final NotifyText AS_STRING

      Causes the text lines to be stuffed to a single line String.

    - #### AS_LINES

          public static final NotifyText AS_LINES

      Causes the text to be notified as a list of lines.

    - #### SKIP

          public static final NotifyText SKIP

      No text notification takes place at all. This speeds up parsing of course.

  - ### Method Detail

    - #### values

          public static NotifyText[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotifyText c : NotifyText.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotifyText valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isSkip

          public boolean isSkip()

    - #### asLines

          public boolean asLines()

    - #### asString

          public boolean asString()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.